﻿using ChartGettingStarted;
using Syncfusion.SfChart.XForms.UWP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms.Platform.UWP;
using Syncfusion.SfChart.XForms;

[assembly: ExportRenderer(typeof(ChartExt), typeof(ChartGettingStarted.UWP.CustomRenderer))]
namespace ChartGettingStarted.UWP
{
    public class CustomRenderer : SfChartRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            if (Control != null)
            {
                foreach (var series in Control.Series)
                {
                    series.ShowEmptyPoints = true;
                    series.EmptyPointValue = Syncfusion.UI.Xaml.Charts.EmptyPointValue.Average;
                }
            }
        }
    }
}
